Extract data
Authorization
ApiKeyAuth API key from API Keys in the dashboard menu.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/documents/extract" \ -H "Content-Type: application/json" \ -d '{ "file": { "name": "invoice.pdf", "url": "https://example.com/invoice.pdf" }, "instructions": "The invoice number, date and total" }'{ "data": {}, "pages": {}, "missing": [ "string" ], "citations": {}, "credits_used": 0}Read a document POST
The text of a document: a PDF page by page (scanned pages are read with OCR), a spreadsheet or CSV as rows, a Word or text file as text.
Classify POST
Sort a document, or text or data you send, into your categories, with a reason for each. Several questions can be answered at once, one per item in `dimensions`.